plist-cil 1.13.0.0 1.14.0.0 Claunia.PropertyList.NSObject System.Collections.IEnumerable

A set is an interface to an unordered collection of objects.

This implementation uses a as the underlying data structure.

To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  Creates an empty unordered set.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  System.ParamArray
  The objects to populate the set.
  Creates a set and fill it with the given objects.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  Should the set be ordered on operations?
  Creates an empty set.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  System.ParamArray
  Should the set be ordered on operations?
  The objects to populate the set.
  Creates a set and fill it with the given objects.
  To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` The object to add. Adds an object to the set. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject[] Returns all objects contained in the set. An array of all objects in the set. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject Returns one of the objects in the set, or null if the set contains no objects. The first object in the set, or null if the set is empty. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The object to look for. Finds out whether a given object is contained in the set. true, when the object was found, false otherwise. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Int32 Gets the number of elements in the set. The number of elements in the set. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Collections.IEnumerator Returns an enumerator object that lets you iterate over all elements of the set. This is the equivalent to objectEnumerator in the Cocoa implementation of NSSet. The iterator for the set. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 Serves as a hash function for a object. A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The other set. Finds out whether at least one object is present in both sets. true if the intersection of both sets is empty, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The other set. Finds out if this set is a subset of the given set. true if all elements in this set are also present in the other set, falseotherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The object to look for. Determines whether the set contains an object equal to a given object and returns that object if it is present. The object if it is present, null otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` The object to remove. Removes an object from the set. To be added.